diff -uNr 3.5/source/conline/line/select.F unipops-3.6/source/conline/line/select.F
--- 3.5/source/conline/line/select.F	2000-03-16 11:35:33.000000000 -0700
+++ unipops-3.6/source/conline/line/select.F	2008-12-29 14:39:28.000000000 -0700
@@ -18,9 +18,9 @@
 c                                        
 c------------------------------------------------------------------------
 c
-      integer*4 idatsize
+      integer*4 idatsize, ierr
       parameter (idatsize = 1024)
-      integer*2 idat(idatsize), ierr, index(32), is_mode, lastblnk
+      integer*2 index(32), lastblnk, is_mode, idat(idatsize) 
       integer*2 m3, m2, m1, n1, n2, n80, n112, n120, n281
       logical*2 itfits, lusescanno, skipscan
       integer*4 ifun, ifile, irec, i1, i4pc, i, lastindex, lastrecord,
@@ -59,6 +59,7 @@
 c------------------------------------------------------------------------
 c
 c		Make sure there is something present on the stack.
+      ierr = 0
       ifun = 0
       if (sp .lt. 1) call oerror(n112, m1, 'SELECT')
       ifun = nint(v(sp))
@@ -67,7 +68,7 @@
       if (ifun .lt. 1 .or. ifun .gt. 18) call oerror(n112, m1, 'SELECT')
 c		check ACOUNT and remember current status
       iacount = nint(acount)
-      if (iacount .lt. 0 .or. iacount .gt. maxstck) 
+      if (iacount .lt. 0 .or. iacount .gt. int(maxstck)) 
      .     call oerror (n281, m2, 'SELECT')
       iacount = iacount + 1
       iacstart = iacount
@@ -152,7 +153,7 @@
          params(23) = it_min 
          params(24) = it_max
 c			call gselect, which does all the work
-         maxadd = maxstck - iacount + 1
+         maxadd = int(maxstck) - iacount + 1
          call gselect(params, actno, maxadd, astack(iacount), irtn)
          if (irtn .eq. 0) then
             iacount = iacount + actno
@@ -186,9 +187,11 @@
          write(cpuf, 1030) '   Object : All Objects (S_OBJECT)'
             call pwrite(ipuf, n80)
       endif
-      call modeid(cs_mode, is_mode, irtn)
+      call modeid(cs_mode, is_mode, short(irtn))
+      irtn = short(irtn)
       if (is_mode .ne. 0 .and. irtn .eq. 0) then
-         call modedesc(is_mode, mode_desc, irtn)
+         call modedesc(is_mode, mode_desc, short(irtn))
+         irtn = short(irtn)
          if (irtn .eq. 0) then
             write(cpuf, 1047) cs_mode, mode_desc
          else
@@ -340,13 +343,14 @@
 		     oldscan = nint(scanno)
 		     skipscan = .false.
 		  else
-		     if ( nint(100.*(scanno-oldscan)) .le. 1.) skipscan = .true.
+		     if ( nint(100.*(scanno - real(oldscan))) .le. 1.) 
+     .                    skipscan = .true.
 		     if (skipscan) goto 120
 		  endif
 	       endif
                if (scanno .ne. 0) then
                   if (itfits(idat(i1))) then
-                     if (iacount .le. maxstck) then
+                     if (iacount .le. int(maxstck)) then
                         if (lusescanno) then
                            astack(iacount) = scanno * sscale
                         else
@@ -356,7 +360,7 @@
                         acount = float(iacount)
                         iacount = iacount + 1
                      else
-c				ascack is full, end now
+c				astack is full, end now
                         go to 990
                      endif
                   endif
diff -uNr 3.5/source/conline/line/show.F unipops-3.6/source/conline/line/show.F
--- 3.5/source/conline/line/show.F	2000-03-16 11:35:35.000000000 -0700
+++ unipops-3.6/source/conline/line/show.F	2008-12-29 14:39:28.000000000 -0700
@@ -16,21 +16,28 @@
       character*24 cfform, vellbl
       character*12 xlabels(11)
       INTEGER*2  ISOURC(8), iptwh, iplt, ishow, istop, iy, istart, ixr, 
-     .		 ixl, ix, ier, ilow, ihi, iy1, iy2, imon, iday, iyr, 
+     .		 ixl, ix, ilow, ihi, iy1, iy2, imon, iday, iyr, 
      .           short, ixlabels(6,11), sclc, limx2, ierr, lxa1, uxa1,
      .		 ivelcnt, lastblnk, ivellbl(12)
       integer*2 m2, n0, n1, n2, n5, n7, n8, n9, n10, n12, n14, n20, n25, 
      .          n30, n33, n35, n55, n72, n74, n75, n100, n125, n150, 
      .          n225, n288, n3, n270, n271, n272
       integer*4 iby, ibx, idelx, nchan, i, ilast, nch,
-     .          ibe, isb, nac, icdtype, ipixel, idely
+     .          ibe, isb, nac, icdtype, ipixel, idely, ier
       REAL*4 dvel, bw, tsys, tim, ra, dec, rra, rdc, tcal, ymin, 
      .	     yincr, val, xz, av, ch, scn1, scn2, xf, xl, dx, xf1,
      .	     xf2
-      real*8 nrao12m, nrao140, nrao300, dfform(3), chantox, xtochan
-      real*8 rf, d03, udate, cf, rif, SOURCE(2), ctype(8)
+      character*8 nrao12m, smt, nrao140, nrao300, ctype(8)
+      real*8 dfform(3), chantox, xtochan, value, valuesmt, value2(8)
+      real*8 rf, d03, udate, cf, rif, SOURCE(2)
       character*10 format, getformat
       logical okarray, okreal4, placenxt, okreal8
+
+c     we need this equivalence, because g77 can't declare chars as reals
+c     (NRAO declared nrao12m as a real*8; we have to have it as char*8)
+      equivalence(nrao12m, value)
+      equivalence(smt, valuesmt)
+      equivalence(ctype, value2)
 c
 #ifdef CONTINUUM
 #else
@@ -62,7 +69,7 @@
       DATA MON/'JAN','FEB','MAR','APR','MAY','JUN',
      .         'JUL','AUG','SEP','OCT','NOV','DEC'/
       data nrao12m/'NRAO 12M'/, nrao300/'NRAO 93M'/, 
-     1     nrao140/'NRAO 43M'/
+     1     nrao140/'NRAO 43M'/,smt/'ARO-HHT'/
 c
       data ctype/'1950RADC','EPOCRADC','MEANRADC','APPRADC','APPHADC',
      2		 'USERDEF','2000RADC','INDRADC'/
@@ -443,7 +450,8 @@
 c
 #ifdef CONTINUUM
 #else
-      if(dtwh(c1tel,iptwh).ne.nrao12m .and.
+      if(dtwh(c1tel,iptwh).ne.value .and.
+     .   dtwh(c1tel,iptwh).ne.valuesmt .and.
      .   (nint(dtwh(c1recid,iptwh)).ne.0 .or. 
      .    nint(dtwh(c3phsid,iptwh)).ne.0) ) then
 	write(cpuf,609) nint(dtwh(c1recid,iptwh)), 
@@ -451,7 +459,7 @@
 609	format('Rec:', i5, ' Phase:', i5)
         call place(ix0-sclc(n7*n14), iy0-sclc(n75))
         CALL pchar(IPUF,n72)
-       endif 
+       endif
 #endif
       cpuf = ' '
       DO 600 I = 1,2
@@ -485,7 +493,6 @@
      .					  MON(IMON),IYR
   629 FORMAT (' INT=',1x,4a2,' DATE:',1x,i2.2,1x,a3,1x,i4)
 #endif
-
 c
       call place(ix0-sclc(n7*n14), iy0-sclc(n100))
       CALL pchar(IPUF,n74)
@@ -498,7 +505,7 @@
       RDC=DTWH(C4RY,IPTWH)
       IF (ABS(RDC) .GT. 90.0) RDC=0.0
       do 680 icdtype = 1, 8
-	 if (dtwh(c4csc,iptwh) .eq. ctype(icdtype)) then
+	 if (dtwh(c4csc,iptwh) .eq. value2(icdtype)) then
            CALL RNS(RA,n2,RSTR)
            CALL RNS(DEC,n1,DSTR)
            WRITE (CPUF(1:29),639,IOSTAT=IER) dtwh(c4csc,iptwh),
@@ -517,7 +524,7 @@
 c	 hh:mm:ss DD:MM:SS format before printing
 c
          write(cpuf(1:29),689,iostat=ier) dtwh(c4csc,iptwh), ra, dec
-689      format(a8,'='2f10.4)
+689      format(a8,'=',2f10.4)
          IF (RRA.GT.0.1 .or. abs(rdc) .gt. 0.1) 
      .       WRITE (CPUF(31:52),699,IOSTAT=IER) rra, rdc
 699      FORMAT ('(',2f10.4,')')
@@ -537,11 +544,12 @@
       call place(ix0-sclc(n7*n14), iy0-sclc(n125))
       CALL pchar(IPUF,n74)
       cpuf = ' '
-c
+
       RF=DTWH(C12RF,IPTWH)
       DVEL=DTWH(C12DX,IPTWH)
       bw = abs(dtwh(c12fr,iptwh))
-      if(dtwh(c1tel,iptwh).eq.nrao12m) then
+      if(dtwh(c1tel,iptwh).eq.value .or.
+     .   dtwh(c1tel,iptwh).eq.valuesmt) then
         isb = dtwh(c9sb, iptwh)
 #ifdef CONTINUUM
         write(cpuf, 729, iostat = ier) dtwh(c12cf, iptwh), 
@@ -554,7 +562,7 @@
 	WRITE (CPUF,759,IOSTAT=IER) RF,SYN,VCNT,DVEL,nint(bw*1000),ISB,
      .         osb(1), osb(2)
  759    FORMAT ('FREQ=',F9.2,' SYN=',F10.8,' VEL=',F8.1,' DV=',
-     .        F6.2,' FR=',I4,' SB=',I1, x, 2a2)
+     .        F6.2,' FR=',I4,' SB=',I1, 1x, 2a2)
 #endif
       else 
         cf = dtwh(c12cf,iptwh)
@@ -581,7 +589,7 @@
      1   '  SMPLS',i5)
 #else
 	write(cpuf,749,iostat=ier) rf, cf, rif, bw, dvel
-  749   format('REST=',f11.5,' SKY=',f11.5,' IF=',f6.2,
+  749   format('REST=',f11.3,' SKY=',f11.3,' IF=',f6.2,
      1   ' DFREQ=',1pg10.3,' DV=',g9.2)
 #endif
 c
diff -uNr 3.5/source/conline/line/slice.f unipops-3.6/source/conline/line/slice.f
--- 3.5/source/conline/line/slice.f	2000-03-16 11:35:39.000000000 -0700
+++ unipops-3.6/source/conline/line/slice.f	2008-12-29 14:39:28.000000000 -0700
@@ -15,8 +15,8 @@
       integer*4 x1, x2, r1, r2, d1, d2, v1, v2, mloc, i, j, numtrig,
      .		iloc, ii, jj, numcells, numdone, istch(40),
      .		iarray(3), time0, time1
-      integer*2 face, ilen, lastblnk, r, v, d, ierr
-      integer*4 l1, l2, l6, l15, l24, l60 
+      integer*2 face, ilen, lastblnk, r, v, d
+      integer*4 l1, l2, l6, l15, l24, l60, ierr
       integer*2 m2, n112, n80
       real*4 cube, cval, factor
       real*8 dinfinity
@@ -188,7 +188,7 @@
 		numdone = numdone + l1
 		if ( mod(numdone, numtrig) .eq. 0 ) then
 		   write(stch,205,iostat=ierr) 100.*float(numdone)/float(numcells)
-205		   format('SLICE: ' f5.1, '% completed.')
+205		   format('SLICE: ', f5.1, '% completed.')
 		   call pwrite(istch, n80)
 		   call itime(iarray)
       		   time1 = iarray(3) + l60*(iarray(2) + l60*iarray(1))
diff -uNr 3.5/source/conline/line/summary.F unipops-3.6/source/conline/line/summary.F
--- 3.5/source/conline/line/summary.F	2000-03-16 11:35:40.000000000 -0700
+++ unipops-3.6/source/conline/line/summary.F	2008-12-29 14:39:28.000000000 -0700
@@ -615,11 +615,11 @@
 #endif
  1120 format(30x,'H coord',5x,'V coord',4x,'(',a3,')',9x,'(',a3,')')
 #ifdef CONTINUUM
- 1130 format(a1,x,f8.2,x,a16,a12,a12,x,g12.6,x,f6.2)
- 1131 format(a1,x,i5,x,i2,x,a16,a12,a12,x,g12.6,x,f6.2)
+ 1130 format(a1,1x,f8.2,1x,a16,a12,a12,1x,g12.6,1x,f6.2)
+ 1131 format(a1,1x,i5,1x,i2,1x,a16,a12,a12,1x,g12.6,1x,f6.2)
 #else
- 1130 format(a1,x,f8.2,x,a16,a12,a12,x,g12.6,x,g13.8)
- 1131 format(a1,x,i5,x,i2,x,a16,a12,a12,x,g12.6,x,g13.8)
+ 1130 format(a1,1x,f8.2,1x,a16,a12,a12,1x,g12.6,1x,g13.8)
+ 1131 format(a1,1x,i5,1x,i2,1x,a16,a12,a12,1x,g12.6,1x,g13.8)
 #endif
  1135 format(5x,'-----')
  1136 format(5x,'---- Scan ',i5,' not found.  May no longer exist.')
diff -uNr 3.5/source/conline/line/table.F unipops-3.6/source/conline/line/table.F
--- 3.5/source/conline/line/table.F	2000-03-16 11:35:43.000000000 -0700
+++ unipops-3.6/source/conline/line/table.F	2008-12-29 14:39:28.000000000 -0700
@@ -9,18 +9,24 @@
 c
       character*80 cpuf
       real*4 scan 
-      integer*2 iptwh, ipuf(40), ier, ierr, lxa1
+      integer*2 iptwh, ipuf(40), lxa1, ierr
       integer*2 m2, n80, n288, n0, n272
-      integer*4 istart, istop, i, lj, lm
+      integer*4 istart, istop, i, ier, lj, lm
       double precision chantox
       logical okarray, okreal8
 c
 #ifdef CONTINUUM
 #else
-      real*8 fib, dosb, nrao12m
+      real*8 fib, dosb, value12m, valuesmt
+      character*8 nrao12m, smt
       integer*4 iosb(2)
       equivalence (dosb, iosb(1))
-      data nrao12m /'NRAO 12M'/
+c     we need these equivalences, because g77 can't declare chars as reals
+c     (ex. NRAO declared nrao12m as a real*8; we have to have it as char*8)
+      equivalence (nrao12m,value12m)
+      equivalence (smt,valuesmt)
+c
+      data nrao12m /'NRAO 12M'/, smt/'ARO-HHT'/
 #endif
 c
       include 'cform.inc'
@@ -50,10 +56,11 @@
          CALL PWRITE(IPUF,n80)
 #else
          fib=abs(DTWH(C12FR,IPTWH))
-         if (dtwh(c1tel,iptwh) .eq. nrao12m) then
+         if (dtwh(c1tel,iptwh) .eq. value12m .or.
+     .       dtwh(c1tel,iptwh) .eq. valuesmt) then
             dosb = dtwh(c10pv, iptwh)
             write(cpuf,2091,iostat=ier) scan, fib, iosb
-2091        format(10x,f8.2,5x,'Freq. Res.',1pg18.10,' MHz',x,a4)
+2091        format(10x,f8.2,5x,'Freq. Res.',1pg18.10,' MHz',1x,a4)
          else
             WRITE(CPUF,209,IOSTAT=IER) SCAN,fib
 209         format(10x,f8.2,5x,'Freq. Res.',1pg18.10, ' MHz')
diff -uNr 3.5/source/conline/line/tellout.f unipops-3.6/source/conline/line/tellout.f
--- 3.5/source/conline/line/tellout.f	2000-03-16 11:35:44.000000000 -0700
+++ unipops-3.6/source/conline/line/tellout.f	2008-12-29 14:39:28.000000000 -0700
@@ -75,7 +75,7 @@
  1000 format(f9.2)
  1005 format(i6)
  1010 format(' ')
- 1020 format(a1,x,i6,':')
+ 1020 format(a1,1x,i6,':')
       end
              
 
diff -uNr 3.5/source/conline/line/tells.F unipops-3.6/source/conline/line/tells.F
--- 3.5/source/conline/line/tells.F	2000-03-16 11:35:44.000000000 -0700
+++ unipops-3.6/source/conline/line/tells.F	2008-12-29 14:39:28.000000000 -0700
@@ -4,14 +4,14 @@
 C-------------------------------------------------------------------------------
 c
       INTEGER*2 iactual2, ifun, i1, i2, kp, 
-     .          ia, inonzero, ier, iacct
+     .          ia, inonzero, iacct
 c
       real*4 scans(32767), scanno
       integer*2 m3, m2, m1, n1, n80, n112, n120, n232, n281
       integer*2 jmax, inonrpt
-      integer*4 numscans, numout, istype, iscanno, isubsc
+      integer*4 numscans, numout, istype, iscanno, isubsc, ier
       integer*4 imax, iactual, irtn
-      logical*2 ldoblank, lastblnk
+      logical*2 ldoblank
       character*1 prefix
 C
 #ifdef CONTINUUM
@@ -93,7 +93,7 @@
         call tellout(scans, numscans, ldoblank, prefix, istype, numout)
 c
 	if (numout .eq. 0) then
-	  write(cpuf,159) ciounit(1)(1:lastblnk(ciounit(1))),
+	  write(cpuf,159) ciounit(1)(1:lnblnk(ciounit(1))),
      .			  ' (Offline Data) file is empty'
 	  call pwrite(ipuf,n80)
         endif
@@ -130,7 +130,7 @@
 		WRITE(CPUF,2080)
       		CALL PWRITE (IPUF,n80)
 		WRITE(CPUF,2079,IOSTAT=IER)NACCUM
- 2079	FORMAT('      Of the 'i7,' scans accumed so far',
+ 2079	FORMAT('      Of the ',i7,' scans accumed so far',
      .					', the first 100 are :')
 	ENDIF
       CALL PWRITE (IPUF,n80)
@@ -200,7 +200,7 @@
         call tellout(scans, numscans, ldoblank, prefix, istype, numout)
 c
 	if (numout .eq. 0) then
-	  write(cpuf,159) ciounit(2)(1:lastblnk(ciounit(2))),
+	  write(cpuf,159) ciounit(2)(1:lnblnk(ciounit(2))),
      .			  ' (Keep) file is empty'
 	  call pwrite(ipuf,n80)
         endif
@@ -230,7 +230,7 @@
         call tellout(scans, numscans, ldoblank, prefix, istype, numout)
 c
 	if (numout .eq. 0) then
-	  write(cpuf,159) ciounit(5)(1:lastblnk(ciounit(5))),
+	  write(cpuf,159) ciounit(5)(1:lnblnk(ciounit(5))),
      .			  ' (Records) file is empty'
 	  call pwrite(ipuf,n80)
         endif
@@ -256,7 +256,7 @@
         call tellout(scans, numscans, ldoblank, prefix, istype, numout)
 c           
 	if (numout .eq. 0) then
-	  write(cpuf,159) ciounit(3)(1:lastblnk(ciounit(3))),
+	  write(cpuf,159) ciounit(3)(1:lnblnk(ciounit(3))),
      . 			  ' (Save) file is empty'
 	  call pwrite(ipuf,n80)
         endif
@@ -302,6 +302,7 @@
 	write(cpuf,159) 'The on-line data file is Not Available'
         call pwrite(ipuf,n80)
       endif
+c
 c     Get number of scans from On-Line data file
 c 
       if (iounit(1) .le. 0) then
@@ -313,10 +314,11 @@
         do 360 i1 = 1, iactual2
            if (scans(i1).ne.0) inonzero = inonzero + 1
  360       continue
-	write(cpuf,9611) ciounit(1)(1:lastblnk(ciounit(1))),
+	write(cpuf,9611) ciounit(1)(1:lnblnk(ciounit(1))),
      . 			  '(Offline Data)', inonzero
       endif
       call pwrite(ipuf,n80)
+c
 c     Get num. for off-line file
 c
       if (iounit(2) .le. 0) then
@@ -328,7 +330,7 @@
         do 361 i1 = 1, iactual2
            if (scans(i1).ne.0) inonzero = inonzero + 1
  361       continue
-      	write(cpuf,9611) ciounit(2)(1:lastblnk(ciounit(2))),
+      	write(cpuf,9611) ciounit(2)(1:lnblnk(ciounit(2))),
      . 			 '(Keep)', inonzero
       endif
       call pwrite(ipuf,n80)
@@ -343,7 +345,7 @@
         do 362 i1 = 1, iactual2
            if (scans(i1).ne.0) inonzero = inonzero + 1
  362       continue
-	write(cpuf,9611) ciounit(3)(1:lastblnk(ciounit(3))),
+	write(cpuf,9611) ciounit(3)(1:lnblnk(ciounit(3))),
      . 			 '(Save)', inonzero
       endif
       call pwrite(ipuf,n80)
@@ -359,7 +361,7 @@
         do 363 i1 = 1, iactual2
            if (scans(i1).ne.0) inonzero = inonzero + 1
  363    continue
-        write(cpuf,9611) ciounit(4)(1:lastblnk(ciounit(4))),
+        write(cpuf,9611) ciounit(4)(1:lnblnk(ciounit(4))),
      . 			 '(Gains)', inonzero
         call pwrite(ipuf,n80)
       endif
@@ -376,7 +378,7 @@
 c
         call rmextra(scans, iactual2, n1, inonrpt)
 c
-        write(cpuf,9615) ciounit(5)(1:lastblnk(ciounit(5))),
+        write(cpuf,9615) ciounit(5)(1:lnblnk(ciounit(5))),
      . 			 '(Records)', inonzero, inonrpt
 9615      format('The ', a, 1x, a, ' file contains ', i6, 
      .		' records and ', i6, ' scans')
@@ -442,7 +444,7 @@
         call tellout(scans, numscans, ldoblank, prefix, istype, numout)
 c
 	if (numout .eq. 0) then
-	  write(cpuf,159) ciounit(4)(1:lastblnk(ciounit(4))),
+	  write(cpuf,159) ciounit(4)(1:lnblnk(ciounit(4))),
      . 			  ' (Offline Gains) file is empty'
 	  call pwrite(ipuf,n80)
         endif
diff -uNr 3.5/sys.unipops/Makefile unipops-3.6/sys.unipops/Makefile
--- 3.5/sys.unipops/Makefile	2000-03-16 11:31:39.000000000 -0700
+++ unipops-3.6/sys.unipops/Makefile	2008-12-29 14:36:32.000000000 -0700
@@ -2,7 +2,7 @@
 #
 # Recreates Unipops sys.unipops directory
 #
-EXECLIST = unipops.sunview prepare.unipops .openwin-init
+EXECLIST = prepare.unipops
 
 OTHERS = .cshrc .login .defaults .rootmenu .sunview unipops.login \
 	  unipops.logout unipops.cshrc .logout .mailrc .dtprofile \
@@ -19,4 +19,3 @@
 all:	$(EXECLIST) $(OTHERS)
 
 clean:
-	-sccs clean
diff -uNr 3.5/sys.unipops/aro.prepare.unipops unipops-3.6/sys.unipops/aro.prepare.unipops
--- 3.5/sys.unipops/aro.prepare.unipops	1969-12-31 17:00:00.000000000 -0700
+++ unipops-3.6/sys.unipops/aro.prepare.unipops	2008-12-29 14:36:37.000000000 -0700
@@ -0,0 +1,8 @@
+# @(#)kp.nrao.edu.prepare.unipops	5.1 06/22/94
+#
+# 12m (Kitt Peak) version of prepare.unipops
+#
+set EDITORS = (emacs vi)
+set WINDOWS = (openlook)
+set popsproc2 = ~/unipops/
+#
diff -uNr 3.5/sys.unipops/prepare.unipops unipops-3.6/sys.unipops/prepare.unipops
--- 3.5/sys.unipops/prepare.unipops	2000-03-16 12:07:59.000000000 -0700
+++ unipops-3.6/sys.unipops/prepare.unipops	2008-12-29 14:36:32.000000000 -0700
@@ -58,7 +58,7 @@
   echo setenv popswindow $popswindow >> .unipops
   echo setenv popsversion $popsversion >> .unipops
   echo setenv popsdir '~unipops/$popsversion/' >> .unipops
-  echo set path = '($path ${popsdir}sunbin ${popsdir}utilities)' >> .unipops
+  echo set path = '($path ${popsdir}bin ${popsdir}utilities)' >> .unipops
   echo setenv popsproc1 '${popsdir}procedures/' >> .unipops
   if ( $?popsproc2 ) then
 	echo setenv popsproc2 $popsproc2 >> .unipops
@@ -73,7 +73,7 @@
   echo export popswindow=$popswindow >> .unipops_bash
   echo export popsversion=$popsversion >> .unipops_bash
   echo export popsdir='~unipops/$popsversion/' >> .unipops_bash
-  echo export PATH='$PATH:${popsdir}sunbin:${popsdir}utilities' >> .unipops_bash
+  echo export PATH='$PATH:${popsdir}bin:${popsdir}utilities' >> .unipops_bash
   echo export popsproc1='${popsdir}procedures/' >> .unipops_bash
   if ( $?popsproc2 ) then
 	echo export popsproc2=$popsproc2 >> .unipops_bash
@@ -86,5 +86,5 @@
   echo " "
 endif
 #
-if (-e $popsdir/sunbin/mkfiles.unipops) $popsdir/sunbin/mkfiles.unipops
+if (-e $popsdir/bin/mkfiles.unipops) $popsdir/bin/mkfiles.unipops
 #		and finally put the required empty files here.
diff -uNr 3.5/xwindows/Makefile unipops-3.6/xwindows/Makefile
--- 3.5/xwindows/Makefile	2000-03-16 11:29:17.000000000 -0700
+++ unipops-3.6/xwindows/Makefile	2008-12-29 14:36:37.000000000 -0700
@@ -5,20 +5,19 @@
 FCMP = f77
 FC = $(FCMP)
 CC = $(CCMP)
-FDEBOROPT = -g
-CDEBOROPT = -g
+FDEBOROPT = 
+CDEBOROPT = 
 FLOATOPT = 
-F77INLINE = -libmil
-CINLINE = -libmil
-XLIBS = -L$(OPENWINHOME)/lib -lX11
-XINCS = $(OPENWINHOME)/include
+F77INLINE = 
+CINLINE = 
+XLIBS = -L$(XHOME)/lib -lX11
+XINCS = $(XHOME)/include
 FFLOAT =  $(FDEBOROPT) $(FLOATOPT) $(F77INLINE)
 CFLOAT =  $(CDEBOROPT) $(FLOATOPT) $(CINLINE)
-FFLAGS = -i2 -u $(FFLOAT)
+FFLAGS =  $(FFLOAT)
 CFLAGS = -I. -I$(XINCS) $(CFLOAT) 
-CLLIBS  = -lm
 FLLIBS  = -lm 
-SOLARISXLIBS = -Bstatic $(XLIBS) -Bdynamic -lsocket -lw -ldl -lnsl
+#SOLARISXLIBS = $(XLIBS) -lsocket -lw -ldl -lnsl
 #
 # Macros which define compilation and linking parameters
 # [FC]DEBOROPT (debug or optimize flag for fortran or c) = 'g' as a default 
@@ -37,7 +36,7 @@
 	-sccs clean
 
 install: xgraphics.exe
-	\cp -p xgraphics.exe ${popsdir}sunbin
+	\cp -p xgraphics.exe ${popsdir}bin
 
 xgraphics.exe: xgraphics.o shm_graph.o xroutines.o zignal.o
 #		Solaris doesn't automatically put /usr/openwin in
@@ -47,9 +46,9 @@
 	@if [ -r /usr/lib/libsocket.a ];\
 	then \
 	   ( echo $(FC) xgraphics.o shm_graph.o xroutines.o zignal.o \
-		  $(FFLAGS) -o xgraphics.exe $(SOLARISXLIBS) $(FILLIBS); \
+		  $(FFLAGS) -o xgraphics.exe $(XLIBS) $(FLLIBS); \
 		$(FC) xgraphics.o shm_graph.o  xroutines.o zignal.o \
-		$(FFLAGS) -o xgraphics.exe $(SOLARISXLIBS) $(FLLIBS))\
+		$(FFLAGS) -o xgraphics.exe $(XLIBS) $(FLLIBS))\
 	else \
 	   ( echo $(FC) xgraphics.o shm_graph.o  xroutines.o zignal.o \
 		  $(FFLAGS) -o xgraphics.exe $(XLIBS) $(FLLIBS); \
diff -uNr 3.5/xwindows/xgraphics.f unipops-3.6/xwindows/xgraphics.f
--- 3.5/xwindows/xgraphics.f	2000-03-16 11:29:17.000000000 -0700
+++ unipops-3.6/xwindows/xgraphics.f	2008-12-29 14:36:37.000000000 -0700
@@ -189,7 +189,7 @@
  120                ii3 = nint(rand(n0) * float(levmax-1) + 1.0)
                     if (matset(ii3) .eq. 1) goto 120
                     matset(ii3) = 1
-                    ixdt(i) = ifix(ii3/ny) + 1
+                    ixdt(i) = int(ii3/ny) + 1
                     iydt(i) = ii3 - (ixdt(i)-1)*ny
  130             continue
               endif
diff -uNr 3.5/xwindows/xroutines.c unipops-3.6/xwindows/xroutines.c
--- 3.5/xwindows/xroutines.c	2000-03-16 11:29:34.000000000 -0700
+++ unipops-3.6/xwindows/xroutines.c	2008-12-29 14:36:38.000000000 -0700
@@ -9,6 +9,7 @@
 #include <stdio.h>
 #include <sys/time.h>
 #include <signal.h>
+#include <g2c.h>
 extern void (*zignal())();
 
 /*	the icon */
@@ -332,9 +333,6 @@
 
    cursor = XCreateFontCursor (display, cursor_cross);
    XDefineCursor (display, window, cursor);
-   XRecolorCursor (display, cursor, &colorcell_defs[1], 
-                      &colorcell_defs[0]);
-
 
 /*	finally, display the window */
 
@@ -567,12 +565,12 @@
    XMapRaised(display, window);
 }
 
-void alarm_off_()
+void alarm_off__()
 {
    zignal(SIGALRM, SIG_IGN);
 }
 
-void alarm_on_()
+void alarm_on__()
 {
 /*		SIGNAL stuff for expose even handler */
 /*		Timer */
@@ -593,7 +591,7 @@
    XEvent event;
    int event_mask;
 
-   alarm_off_();
+   alarm_off__();
    event_mask = ExposureMask | StructureNotifyMask;
 
    while (XCheckWindowEvent (display, window, event_mask, &event)) {
@@ -619,10 +617,10 @@
             break;
       }
    }
-   alarm_on_();
+   alarm_on__();
 }
 
-void sig_init_()
+void sig_init__()
 {
    void sig_close();
 
@@ -634,7 +632,7 @@
 void sig_close(sig)
 int sig;
 {
-   alarm_off_();
+   alarm_off__();
    xclose_();
    exit(sig);
 }
